> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve lifecycle rule

> Retrieves details of a specific lifecycle rule.



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /storage/buckets/{bucket_id}/lifecycle_rules/{id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Baselines (Preview)
    description: >-
      Preview. Available to teams with the `baselines_api` feature flag. The
      shape of these endpoints may change before general availability.
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Marketplace apps
  - name: Operating Systems
  - name: Plans
  - name: Public Networks
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /storage/buckets/{bucket_id}/lifecycle_rules/{id}:
    get:
      tags:
        - Object Storage
      summary: Retrieve lifecycle rule
      description: Retrieves details of a specific lifecycle rule.
      operationId: get-storage-bucket-lifecycle-rule
      parameters:
        - name: bucket_id
          in: path
          required: true
          description: The object storage bucket ID
          schema:
            type: string
        - name: id
          in: path
          required: true
          description: The lifecycle rule ID
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: lifecycle_7Rk2Wd38dXnZJ
                      type: lifecycle_rules
                      attributes:
                        name: delete-old-logs
                        enabled: true
                        prefix: logs/
                        expiration_days: 30
                        noncurrent_days: null
                        abort_mpu_days_after_initiation: null
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/lifecycle_rule_data'
        '403':
          description: Forbidden
          content:
            application/vnd.api+json:
              examples:
                FeatureNotEnabled:
                  value:
                    errors:
                      - code: STORAGE_NOT_ENABLED
                        title: Object Storage not enabled
              schema:
                $ref: '#/components/schemas/error_object'
        '404':
          description: Not Found
          content:
            application/vnd.api+json:
              examples:
                NotFound:
                  value:
                    errors:
                      - code: not_found
                        title: Error
                        detail: Specified Record Not Found
                        meta: {}
                        status: '404'
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.object_storage.get_storage_bucket_lifecycle_rule(bucket_id="<id>", id="<id>")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.ObjectStorage.GetStorageBucketLifecycleRule(ctx, \"<id>\", \"<id>\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.objectStorage.getStorageBucketLifecycleRule({
                bucketId: "<id>",
                id: "<id>",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    lifecycle_rule_data:
      type: object
      properties:
        id:
          type: string
          description: Lifecycle rule ID with lifecycle_ prefix
        type:
          type: string
          enum:
            - lifecycle_rules
        attributes:
          type: object
          properties:
            name:
              type: string
              description: Name of the lifecycle rule
            enabled:
              type: boolean
              description: Whether the rule is currently active
            prefix:
              type: string
              nullable: true
              description: >-
                Object key prefix filter. When set, the rule only applies to
                objects whose keys start with this prefix.
            expiration_days:
              type: integer
              description: >-
                Number of days after object creation when the object expires and
                is automatically deleted
            noncurrent_days:
              type: integer
              nullable: true
              description: >-
                Number of days after which noncurrent object versions expire
                (for versioned buckets)
            abort_mpu_days_after_initiation:
              type: integer
              nullable: true
              description: >-
                Number of days after initiation to abort incomplete multipart
                uploads
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````